[![status-badge](https://ci.batsense.net/api/badges/85/status.svg)](https://ci.batsense.net/repos/85)

---

1. Docs: https://forgejo-notifications-core.docs.forgeflux.org/
2. Code coverage: https://forgejo-notifications-core.docs.forgeflux.org/coverage/lcov-report/index

## Dev Notes

Requires your Forgejo instance admin to enable CORS for at least the
origin which serves the notification panel. Please see
[here](https://forgejo.org/docs/latest/admin/config-cheat-sheet/#cors-cors)
for more information.

NOTE: The test [forgejo configuration](./integration/conf/app.ini) may
be insecure for your usecase since it allows CORS for all origins with
the widest possible surface.

## Build

```bash
pnpm install
pnpm run build
```

Compiled library will be available at `./dist/index.js`

## Docs

https://forgejo-notifications-core.docs.forgeflux.org

```bash
pnpm install
pnpm run doc
firefox ./docs/index.html
```

## Tests

There are [scripts][./integration] to setup a Forgejo instance locally,
create [bunch of]./integration/lib.sh) of users, repository and issues
to test all functionality offered by this library. It might be useful to
recreate this environment with `make env.up and ./integration/tests.sh`
for development.

Uses Docker.


```bash
pnpm install
make env.up
make test
```
