// SPDX-FileCopyrightText: 2023 Aravinth Manivannan <realaravinth@batsense.net>
//
// SPDX-License-Identifier: AGPL-3.0-or-later

import User from "./user";
import Comment from "./comments";

/**
 * Subset schema of issue object returned by Forgejo REST API
 */
type Issue = {
  id: number;
  url: URL;
  html_url: URL;
  number: 1;
  user: User;
  title: string;
  body: string;
  assignee?: User;
  assignees?: Array<User>;
  state: string;
  is_locked: boolean;
  comments: number;
  created_at: string | Date;
  updated_at: string | Date;
  closed_at?: string | Date;
  due_date?: string;
  repository: MiniRepository;
  lazy_comments_data?: Array<Comment>;
};

type MiniRepository = {
  id: number;
  name: string;
  owner: string;
  full_name: string;
};

export default Issue;
