// SPDX-FileCopyrightText: 2023 Aravinth Manivannan <realaravinth@batsense.net>
//
// SPDX-License-Identifier: AGPL-3.0-or-later

import Repository from "./repository";

type Subject = {
  title: string;
  url: URL;
  html_url: URL;
  latest_comment_url: string;
  type: string; // Issue
  state: string;
};

/**
 * Subset schema of notification object returned by Forgejo REST API
 */
type Notification = {
  id: number;
  repository: Repository;
  subject: Subject;
  unread: boolean;
  pinned: boolean;
  url: URL;
};

export default Notification;
